API Explorer 1 endpoints

Get ABAC Policies

GET /obp/v7.0.0/management/abac-policies

OBPv6.0.0-getAbacPolicies Roles: CanGetAbacRule ABAC

Get the list of allowed ABAC policy names.

ABAC rules are organized by policies. Each rule must have at least one policy assigned. Rules can have multiple policies (comma-separated). This endpoint returns the list of standardized policy names that should be used when creating or updating rules.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (3)
description
Description of the object. Maximum length is 2000. It can be any characters here.
policies
policies
policy
policy
Example success response
{
  "policies": [
    {
      "policy": "account-access",
      "description": "Rules for controlling access to account information"
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getAbacPolicies Originally /obp/v6.0.0/management/abac-policies